Name:		zapping
Summary:	A TV viewer for GNOME
Version:	0.9.6
Release:	%mkrel 4
License:	GPL
URL:		http://sourceforge.net/projects/zapping/
Group:		Video
Source0:	http://osdn.dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}.png
Patch1:		zapping-0.7.1-lib64.patch.bz2
Patch2:		zapping-0.9.6-ppc.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf2.5 arts-devel libglade2.0-devel libgnomeui2-devel
BuildRequires:	python-devel scrollkeeper perl-XML-Parser
BuildRequires:	zvbi-devel usermode-consoleonly
Requires:	usermode 
Requires:	usermode-consoleonly
Requires(pre):	/sbin/install-info

%description
Zapping is a TV viewer for GNOME that supports both Video4Linux 
and Video4Linux2. It's extensible through plugins based on GTK.

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .ppc
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} plugindir=%{_libdir}/zapping/plugins

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%name):\
command="zapping"\
title="Zapping"\
longtitle="A TV viewer for gnome"\
needs="x11" icon="%{name}.png" \
section="Multimedia/Video"
EOF

ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/zapping_setup_fb
ln -sf zapping $RPM_BUILD_ROOT%{_bindir}/zapzilla

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}

%post
%update_menus
  
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS THANKS ChangeLog README README.plugins TODO BUGS
%doc plugins/alirc/README.alirc
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/gconf/schemas/zapping.schemas
      #/home/tv/rpm/tmp/zapping-0.9.6-1mdk-buildroot/etc/pam.d/zapping_setup_fb
	   #  /home/tv/rpm/tmp/zapping-0.9.6-1mdk-buildroot/etc/security/console.apps/zapping_setup_fb

%{_bindir}/*
%{_sbindir}/*
%{_libdir}/zapping
%{_datadir}/applications/zapping.desktop
%{_datadir}/gnome/help/zapping
%{_datadir}/omf/zapping/zapping-C.omf
%{_datadir}/pixmaps/zapping
%{_datadir}/zapping
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/zapping
%{_mandir}/*/*

%changelog
* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-4mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.6-3mdk
- patch2: ppc build fix

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.9.6-2mdk
- Rebuild to avoid libglitz deps

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.6-1mdk
- new release
- fix installing files

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.2-2mdk
- rebuild with new gtk+

* Fri Mar 4 2005 Austin Acton <austin@mandrake.org> 0.9.2-1mdk
- 0.9.2

* Sun Feb 20 2005 Jerome Soyer <saispo@mandrake.org> 0.9.1-1mdk
- New version

* Mon Jan 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8-5mdk
- add BuildRequires: usermode-consoleonly

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk 
- Rebuild with latest howl
- Remove old obsoletes dependencies

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8-3mdk
- fix buildrequires
- cleanups!!

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8-2mdk
- Rebuild for new python

* Fri Nov 12 2004 Jerome Soyer <saispo@mandrake.org> 0.8-1mdk
- New version

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 0.7.3-1mdk
- New version 
- Fix Requires

* Tue Sep 14 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- New version
- Fix icons
- Respun patch1

* Sun Jul 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-1mdk
- new release, respun patch1, drop patch2

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.6.7-5mdk
- BuildRequires

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.7-4mdk
- libtool, lib64, 64-bit deps fixes

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.7-3mdk
- fix #4358

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.7-2mdk
- rebuild

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.7-1mdk
- new release

* Thu Apr 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.6-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.5-2mdk
- build release

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.5-1mdk
- new release

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.4-4mdk
- fix hardcoded-library-path

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.4-3mdk
- rebuild against new libzvbi

* Mon May 13 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.4-2mdk
- BuildRequires

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.4-1mdk
- new release
- add ftp url to Source
- use libzvbi0 (which was previously splited out from zapping)
- use %%makeinstall_std
- add zapping{,_setupman}(1) pages
- add zapping_setup_fb and zapping_fix_overlay

* Wed Mar 06 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.2-5mdk
- still need to make menudir, at least on PPC

* Sat Mar 02 2002 David BAUDENS <baudens@mandrakesoft.com> 0.6.2-4mdk
- Use new video_section.png icon in menu entry and not the one

* Mon Feb 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-3mdk
- BuildRequires

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-2mdk
- provides small icon too

* Mon Feb 8 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-1mdk
- new release

* Wed Oct 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-1mdk
- new release
- PreReq: /sbin/install-info
- add doc for alirc
- add zapzilla link

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-4mdk
- Fix broken dependencies
- Add missing files and directories

* Tue Jun 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-3mdk
- fix {build,}requires (andre duclos)
- add icon

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-2mdk
- oops: put back the old group (confusion between menu group & rpm group :-( )

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-1mdk
- new version
- spec cleanups
: use more %%macros
- add requires
- pamification
- fix group 

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.81-1mdk
- new in contribs
